Search.setIndex({"docnames": ["activation-workflow", "custom-user", "deprecations", "exceptions", "faq", "forms", "index", "install", "one-step-workflow", "quickstart", "security", "settings", "signals", "upgrade", "validators", "views"], "filenames": ["activation-workflow.rst", "custom-user.rst", "deprecations.rst", "exceptions.rst", "faq.rst", "forms.rst", "index.rst", "install.rst", "one-step-workflow.rst", "quickstart.rst", "security.rst", "settings.rst", "signals.rst", "upgrade.rst", "validators.rst", "views.rst"], "titles": ["The two-step activation workflow", "Custom user models", "Feature and API deprecation cycle", "Exception classes", "Frequently-asked questions", "Base form classes", "django-registration 3.3", "Installation guide", "The one-step workflow", "Quick start guide", "Security guide", "Custom settings", "Signals used by django-registration", "Upgrading from previous versions", "Validation utilities", "Base view classes"], "terms": {"found": [0, 9, 10, 13], "django_registr": [0, 1, 3, 5, 8, 11, 12, 13, 14, 15], "backend": [0, 1, 8, 9, 13], "implement": [0, 4, 5, 8, 9, 10, 12, 13, 15], "registr": [0, 1, 2, 3, 5, 7, 8, 9, 10, 11, 14, 15], "process": [0, 1, 3, 6, 9, 11, 12, 14, 15], "user": [0, 5, 6, 8, 9, 12, 14, 15], "sign": [0, 6, 8, 9, 10, 11], "up": [0, 4, 6, 7, 8, 10], "an": [0, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15], "inact": [0, 1, 9], "account": [0, 1, 3, 5, 6, 8, 9, 11, 12, 13, 14, 15], "i": [0, 1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15], "creat": [0, 1, 4, 8, 9, 10, 14], "email": [0, 1, 4, 5, 6, 9, 14], "sent": [0, 4, 9, 10, 12], "contain": [0, 1, 4, 9, 10, 13, 14], "link": [0, 9, 10], "which": [0, 1, 2, 3, 4, 5, 6, 9, 10, 11, 12, 13, 14, 15], "must": [0, 1, 5, 9, 10, 13, 15], "click": [0, 9, 10], "make": [0, 1, 9, 10, 11, 13, 15], "A": [0, 3, 4, 5, 8, 9, 10, 11, 12, 13, 14, 15], "default": [0, 1, 4, 5, 6, 8, 9, 10, 11, 13, 14, 15], "urlconf": [0, 8, 9, 11, 13], "provid": [0, 1, 3, 4, 5, 6, 9, 10, 12, 13, 14, 15], "you": [0, 1, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15], "can": [0, 1, 5, 7, 8, 9, 10, 12, 13, 14, 15], "includ": [0, 1, 4, 6, 8, 9, 10, 11, 12, 13, 14, 15], "your": [0, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15], "url": [0, 1, 8, 10, 11, 14, 15], "For": [0, 1, 4, 7, 8, 9, 10, 12, 13], "exampl": [0, 1, 4, 8, 9, 10, 13, 14], "place": [0, 1, 9, 13, 15], "under": [0, 9], "prefix": [0, 9], "could": [0, 4, 9, 10, 13], "follow": [0, 1, 4, 5, 6, 9, 10, 12, 13, 15], "root": [0, 9, 11], "from": [0, 1, 4, 6, 8, 9, 10, 11, 14, 15], "django": [0, 1, 2, 3, 5, 7, 8, 9, 10, 11, 14, 15], "import": [0, 1, 8, 9, 13, 14], "path": [0, 1, 8, 9], "urlpattern": [0, 1, 8, 9], "other": [0, 1, 3, 5, 8, 9, 10], "pattern": [0, 1, 8, 9, 11, 15], "contrib": [0, 4, 8, 9, 13, 15], "auth": [0, 1, 8, 9, 10, 15], "more": [0, 1, 4, 5, 6, 8, 9, 10, 12, 13, 14], "That": 0, "also": [0, 1, 4, 5, 7, 8, 9, 10, 13, 14], "set": [0, 1, 4, 5, 6, 8, 10, 13, 14, 15], "login": [0, 9, 13], "logout": [0, 9, 13], "password": [0, 1, 4, 5, 9, 10, 13], "reset": [0, 9, 13], "etc": [0, 9, 13], "thi": [0, 1, 2, 3, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15], "us": [0, 1, 3, 5, 6, 7, 8, 9, 11, 13, 14, 15], "three": [0, 4, 12], "detail": [0, 1, 4, 5, 6, 8, 9, 11, 13], "each": [0, 4, 9, 10, 14], "account_activation_dai": [0, 9, 11], "registration_open": [0, 4, 8, 11, 15], "registration_salt": [0, 11], "see": [0, 1, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15], "note": [0, 1, 4, 7, 9, 11, 13, 15], "below": [0, 1, 4, 6, 9, 15], "By": [0, 4, 9, 10, 14], "registrationform": [0, 1, 5, 8, 9, 13, 14, 15], "its": [0, 3, 4, 5, 9, 10, 12, 13, 14], "form": [0, 6, 8, 9, 14, 15], "class": [0, 1, 4, 6, 8, 9, 13, 14], "overridden": [0, 8, 12, 15], "pass": [0, 3, 4, 8, 13, 15], "keyword": [0, 8, 15], "argument": [0, 3, 8, 12, 13, 15], "form_class": [0, 1, 8, 15], "ar": [0, 1, 2, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15], "signup": [0, 3, 6, 9, 10, 11, 13], "These": [0, 1, 5, 10], "subclass": [0, 3, 4, 5, 8, 9, 11, 12, 13, 14, 15], "base": [0, 1, 3, 4, 6, 9, 12, 14], "so": [0, 1, 4, 5, 7, 9, 10, 11, 12, 13, 14, 15], "anyth": [0, 10], "custom": [0, 5, 6, 8, 9, 12, 14, 15], "equal": 0, "here": [0, 1, 13, 15], "There": [0, 9], "some": [0, 1, 4, 5, 7, 9, 10, 13, 14], "addit": [0, 1, 4, 5, 9, 11, 12, 13], "point": [0, 1, 12, 13, 15], "specif": [0, 4, 7, 9, 10, 12, 14, 15], "list": [0, 1, 2, 6, 10, 14], "overview": [0, 10], "templat": [0, 15], "than": [0, 4, 5, 9, 13, 14], "those": [0, 1, 4, 5, 9, 10, 15], "specifi": [0, 1, 8, 9, 11, 13, 14], "context": [0, 4, 9, 13], "variabl": [0, 4, 9, 13], "quick": [0, 4, 6, 7, 8], "start": [0, 1, 4, 6, 7, 8, 13], "guid": [0, 4, 5, 6, 8], "registrationview": [0, 1, 4, 8, 11, 12, 13, 15], "portion": 0, "uniqu": [0, 3, 5, 14], "create_inactive_us": 0, "return": [0, 13, 15], "call": [0, 4, 13, 15], "send_activation_email": 0, "send": [0, 12, 15], "kei": [0, 3, 4, 9, 10, 11, 13], "valid": [0, 4, 5, 6, 7, 10, 13, 15], "instanc": [0, 9, 12, 15], "regist": [0, 1, 5, 8, 9, 10, 12, 13, 14, 15], "paramet": [0, 3, 14, 15], "type": [0, 1, 5, 7, 10, 14, 15], "model": [0, 5, 6, 9, 12, 14, 15], "abstractus": [0, 15], "get_activation_kei": 0, "given": [0, 1, 14], "gener": [0, 1, 9, 10, 11, 12, 13, 15], "string": [0, 9, 13, 14, 15], "new": [0, 1, 4, 5, 6, 8, 9, 10, 11, 12, 13, 15], "str": [0, 3, 11, 14, 15], "get_email_context": 0, "activation_kei": [0, 9], "dictionari": 0, "valu": [0, 1, 3, 4, 5, 9, 10, 11, 14, 15], "when": [0, 3, 4, 9, 11, 12, 13, 14, 15], "dict": [0, 3, 9], "none": [0, 4, 13, 15], "email_body_templ": 0, "bodi": [0, 9, 13], "activation_email_bodi": [0, 13], "txt": [0, 13, 14], "email_subject_templ": 0, "subject": [0, 9], "activation_email_subject": 0, "avoid": [0, 1, 4, 10, 13, 14], "header": 0, "inject": [0, 12], "vulner": 0, "result": [0, 4, 5, 13, 15], "render": [0, 9], "forc": 0, "singl": [0, 4, 9], "line": [0, 9, 13], "text": [0, 5, 9], "strip": 0, "newlin": 0, "charact": [0, 4, 5, 10, 14], "activationview": [0, 1, 4, 9, 12, 13, 15], "error": [0, 1, 3, 5, 13], "rais": [0, 1, 3, 4, 13, 14, 15], "activationerror": [0, 3, 4, 9, 13, 15], "one": [0, 5, 6, 7, 10, 11, 14, 15], "except": [0, 1, 6, 9, 13, 14, 15], "": [0, 1, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15], "code": [0, 1, 3, 4, 7, 13, 15], "already_activ": 0, "indic": [0, 1, 3, 4, 5, 9, 11, 13, 15], "ha": [0, 1, 4, 5, 9, 10, 11, 13], "alreadi": [0, 4, 5, 14, 15], "been": [0, 4, 9, 13], "bad_usernam": 0, "usernam": [0, 1, 5, 10, 13], "decod": 0, "invalid": 0, "doe": [0, 9, 10, 11, 13], "correspond": [0, 10], "ani": [0, 1, 2, 5, 9, 10, 13, 14, 15], "expir": [0, 13], "invalid_kei": 0, "wa": [0, 4, 7, 12, 13, 15], "get_us": 0, "determin": [0, 5, 11, 13], "look": [0, 4], "If": [0, 1, 4, 5, 7, 9, 10, 13, 14, 15], "exist": [0, 5, 10, 11, 13], "describ": [0, 6, 15], "abov": [0, 1, 9, 10, 14, 15], "In": [0, 1, 4, 10, 13, 15], "check": [0, 1, 7, 10, 14], "is_act": [0, 1, 4], "field": [0, 1, 4, 5, 10, 13, 14], "re": [0, 4, 7, 9, 10], "case": [0, 1, 4, 5, 6, 11, 12, 13, 14], "match": [0, 1, 4, 5], "validate_kei": 0, "verifi": [0, 10, 14], "carri": [0, 10], "signatur": [0, 13, 15], "timestamp": [0, 10], "older": 0, "number": [0, 1, 4, 9, 13, 14], "dai": [0, 9, 11], "too": 0, "old": 0, "although": [0, 6, 8, 11, 13], "actual": [0, 14, 15], "need": [0, 1, 9, 11, 12, 13], "all": [0, 1, 3, 5, 6, 9, 12, 13, 14], "possibl": [0, 4, 8, 13, 14], "legal": [0, 14], "thu": [0, 1, 10, 13], "produc": [0, 9, 15], "core": [0, 14], "dump": 0, "base64": 0, "encod": 0, "output": [0, 9], "onli": [0, 4, 7, 10, 12, 13], "safe": [0, 10], "alphabet": 0, "plu": [0, 4], "colon": 0, "separ": [0, 15], "handl": [0, 1, 4, 5], "repres": [0, 9, 10, 12, 14], "fals": [0, 4, 10, 11], "It": [0, 1, 5, 10, 12], "address": [0, 1, 5, 13, 14], "dure": [0, 3, 9, 12, 15], "true": [0, 1, 4, 11], "after": [0, 1, 9, 11, 13, 15], "log": [0, 1, 6, 8, 9], "cryptograph": [0, 4, 10], "tool": [0, 7, 10], "guarante": [0, 10], "verif": [0, 10], "prior": 0, "well": [0, 4, 10, 14], "within": [0, 9], "permit": [0, 4, 9, 10, 11, 14], "window": [0, 9], "mention": 0, "through": [0, 6, 12, 14], "timestampsign": 0, "obtain": [0, 7], "encoded_usernam": 0, "where": [0, 1, 4, 6, 9, 10, 12, 13, 14], "time": [0, 4], "hmac": [0, 10, 13], "base62": 0, "secret_kei": 0, "addition": [0, 10, 13], "salt": [0, 10, 11], "namespac": [0, 10], "differ": [0, 1, 3, 4, 9, 10, 12, 13, 15], "across": 0, "power": [0, 6], "site": [0, 4, 5, 6, 8, 9, 10, 13, 14], "kept": [0, 11], "secret": [0, 11], "serv": [0, 3, 10, 14], "ensur": [0, 1, 4, 5, 9, 10], "part": [0, 10, 12, 14], "input": [0, 5, 14], "wai": [0, 1, 9, 10, 13], "arbitrari": [0, 3], "vice": 0, "versa": 0, "system": [1, 4, 6, 9], "support": [1, 6, 7, 10, 12, 15], "replac": [1, 13], "mani": [1, 10, 12, 13, 14, 15], "project": [1, 9], "choos": [1, 9, 10, 13], "develop": [1, 4, 5, 7, 10, 13], "even": [1, 10, 14], "begin": [1, 9, 13, 14], "copi": [1, 4, 7], "order": [1, 13, 14, 15], "difficulti": 1, "migrat": [1, 9], "later": 1, "work": [1, 7, 12, 13], "though": [1, 4, 7, 13], "least": 1, "configur": [1, 5, 13, 14, 15], "alwai": [1, 4], "requir": [1, 4, 5, 7, 11, 13, 15], "do": [1, 5, 8, 9, 10, 13], "pleas": [1, 4, 9, 10], "read": [1, 4, 6, 9, 10], "document": [1, 2, 4, 7, 9, 10, 12, 13, 14, 15], "thoroughli": [1, 4], "befor": [1, 4, 9, 10], "ve": [1, 10, 12], "taken": 1, "necessari": [1, 6], "summar": 1, "compar": 1, "assumpt": 1, "made": [1, 4, 13, 14], "short": [1, 3], "instruct": [1, 4, 6, 7], "either": [1, 8, 9, 13, 14, 15], "appropri": [1, 9, 11], "view": [1, 6, 8, 9, 11, 13], "modifi": [1, 4], "cover": [1, 5, 9, 14, 15], "helper": [1, 13, 15], "easier": 1, "howev": [1, 4, 10, 12, 13], "still": [1, 10, 13], "about": [1, 11, 13], "structur": [1, 4, 9], "intend": 1, "carefulli": 1, "section": 1, "what": [1, 9, 13, 14], "expect": [1, 13], "attribut": [1, 3, 4, 8, 13, 14, 15], "username_field": [1, 13], "have": [1, 4, 7, 9, 10, 13, 14], "textual": 1, "ideal": 1, "emailfield": 1, "store": [1, 3, 4], "defin": [1, 5, 9, 14], "method": [1, 4, 7, 8, 11, 12, 13, 15], "get_email_field_nam": [1, 13], "name": [1, 3, 8, 9, 14, 15], "distinct": 1, "wish": [1, 11, 13], "own": [1, 8, 9, 10, 12, 13, 14, 15], "complet": [1, 9], "booleanfield": 1, "whether": [1, 8, 9, 11, 15], "abstractbaseus": [1, 5], "automat": [1, 7, 12, 13, 14, 15], "beyond": [1, 9, 13], "minimum": [1, 13], "ll": [1, 9, 12], "option": [1, 10, 11, 12, 13, 15], "e": [1, 4, 7, 15], "null": 1, "databas": [1, 5, 9, 10], "suitabl": 1, "correct": 1, "displai": [1, 9, 14], "overrid": [1, 8, 11, 14, 15], "remov": [1, 2, 14], "becaus": [1, 5, 9, 13], "immedi": [1, 6, 8, 9, 13], "modelbackend": 1, "authent": [1, 4, 6, 9, 10], "accept": [1, 4, 13], "combin": 1, "suffici": 1, "credenti": [1, 4], "declar": 1, "instal": [1, 9, 10, 13], "same": [1, 3, 5, 10, 14, 15], "deliber": [1, 4, 5, 9, 14], "crash": [1, 5], "improperlyconfigur": [1, 13], "messag": [1, 3, 5, 9, 13], "alert": 1, "problem": [1, 9], "happen": [1, 13], "attempt": [1, 4, 10, 13], "unmodifi": 1, "again": 1, "design": [1, 4, 5], "featur": [1, 4, 5, 6, 10, 13, 14], "bug": 1, "know": [1, 4], "advanc": [1, 4], "take": [1, 4, 10, 13], "explicit": 1, "confirm": [1, 6, 8], "manual": [1, 9, 15], "behavior": [1, 4, 5, 13, 15], "abl": [1, 9, 13], "might": [1, 9, 10, 13, 14], "py": [1, 9, 10], "modul": 1, "somewher": [1, 8, 9], "codebas": [1, 10], "directli": [1, 3], "edit": [1, 7], "mycustomuserapp": 1, "mycustomus": 1, "mycustomuserform": 1, "meta": 1, "mai": [1, 4, 5, 7, 9, 13, 14], "Then": [1, 10], "wrote": 1, "as_view": [1, 8], "django_registration_regist": [1, 8, 9, 13], "sever": [1, 5, 9, 10, 11, 13, 14], "One": [1, 6, 9, 13, 15], "adjust": 1, "achiev": 1, "want": [1, 7, 9, 11, 13, 14], "mark": [1, 13, 14], "assum": [1, 11, 12], "mechan": 1, "along": [1, 5, 10, 13], "Or": 1, "rel": 1, "minor": [1, 13], "don": [1, 7, 13, 14], "t": [1, 7, 13, 14], "mind": [1, 5], "chang": [1, 7, 8, 11, 14], "framework": [1, 9, 10], "allow": [1, 5, 7, 8, 10, 11, 13, 14, 15], "them": [1, 4, 10, 13, 14], "final": [1, 9], "sometim": 1, "typic": [1, 4], "involv": 1, "far": [1, 4], "enough": 1, "would": [1, 4, 9, 10, 13], "schedul": 2, "futur": 2, "releas": [2, 4, 7], "As": [2, 4, 8, 13], "3": [2, 4, 7], "current": [2, 9, 11, 13], "two": [3, 4, 5, 6, 8, 11, 12, 15], "signal": [3, 6, 15], "occur": [3, 9, 13], "activ": [3, 6, 8, 11, 12, 15], "registrationerror": 3, "param": 3, "No": [3, 4], "sole": [3, 10], "distinguish": 3, "parent": 3, "expos": 3, "object": [3, 9, 13, 15], "human": 3, "readabl": 3, "identifi": [3, 13], "condit": 3, "data": [3, 10, 13, 14], "associ": 3, "inherit": [3, 5], "The": [4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15], "miscellan": 4, "common": [4, 5, 6, 10, 13, 14], "answer": 4, "relat": [4, 10, 14], "cull": 4, "report": [4, 10, 13], "sourc": [4, 10], "perfectli": 4, "bit": [4, 12], "file": [4, 9, 10, 14], "explain": 4, "without": [4, 13], "done": [4, 15], "allauth": 4, "applic": [4, 6, 9, 10, 12, 14], "should": [4, 7, 9, 10, 11, 12, 13, 14, 15], "univers": 4, "api": [4, 6], "everi": 4, "ever": [4, 5, 13], "stick": 4, "easi": 4, "workflow": [4, 5, 11, 12, 15], "while": [4, 9, 10, 14], "app": 4, "integr": [4, 10], "third": [4, 7, 10, 11], "parti": [4, 7, 10, 11], "servic": [4, 5, 14], "effect": [4, 13], "offer": [4, 13], "claus": 4, "bsd": 4, "style": 4, "osi": 4, "approv": [4, 10], "open": 4, "larg": [4, 10, 13], "degre": 4, "freedom": 4, "redistribut": 4, "full": [4, 5, 7], "term": [4, 5, 14], "came": 4, "did": [4, 13], "receiv": [4, 9], "onlin": 4, "http": [4, 7, 9, 13], "com": [4, 7], "ubernostrum": [4, 7], "blob": 4, "master": 4, "2": [4, 7], "4": [4, 7, 13], "0": [4, 7], "7": [4, 7, 9, 13], "8": [4, 7, 13], "9": [4, 7, 13], "10": [4, 7, 13], "ad": [4, 7, 9, 13], "experi": [4, 7], "issu": [4, 7, 10, 13, 14], "earlier": [4, 7, 13], "believ": [4, 10], "public": [4, 10, 13], "tracker": [4, 10], "instead": [4, 5, 10, 13], "contact": [4, 10], "author": [4, 10, 14], "privat": [4, 10], "canon": 4, "repositori": [4, 7], "pull": 4, "request": [4, 9, 12, 13, 15], "both": [4, 13], "d": [4, 9], "contribut": 4, "great": 4, "just": 4, "rememb": 4, "pep": 4, "mandatori": 4, "won": 4, "merg": 4, "violat": 4, "coverag": 4, "100": 4, "break": 4, "build": [4, 10], "over": [4, 10, 13, 14], "cours": 4, "histori": 4, "remedi": 4, "mean": [4, 13, 14], "much": [4, 5, 12], "depend": [4, 5, 9, 13], "best": [4, 13], "practic": [4, 13], "deploy": [4, 13], "server": [4, 13], "haven": 4, "recogn": 4, "yet": 4, "were": [4, 5, 13], "upstream": [4, 13], "transmit": 4, "out": [4, 6, 7, 8, 9, 13, 15], "step": [4, 6, 11, 15], "cannot": [4, 10, 13], "rather": [4, 9, 14], "reinvent": 4, "tox": 4, "via": [4, 7, 9, 10], "pip": [4, 7], "To": [4, 6, 7, 8, 9, 10, 13, 14], "download": 4, "tar": 4, "gz": 4, "distribut": 4, "page": [4, 8], "packag": [4, 7, 10], "index": [4, 7], "unpack": 4, "zxvf": 4, "most": [4, 5, 13, 14], "unix": 4, "oper": 4, "directori": 4, "matrix": 4, "avail": [4, 7, 14], "invok": 4, "flag": 4, "6": [4, 13], "py36": 4, "django20": 4, "reason": [4, 13], "rang": [4, 10, 14], "hard": [4, 15], "imposs": 4, "wildli": 4, "probabl": [4, 9], "end": [4, 13], "thing": [4, 10], "sinc": [4, 13], "go": 4, "fortun": 4, "good": [4, 10], "anyon": 4, "who": [4, 5, 13], "Not": 4, "control": [4, 8, 14, 15], "complex": [4, 5], "fine": 4, "grain": 4, "add": [4, 5, 9, 12], "logic": [4, 12, 15], "luck": 4, "feel": 4, "free": [4, 10, 15], "registration_allow": [4, 11, 15], "isn": 4, "suppli": [4, 5, 8, 9, 10, 11, 13, 14], "toggl": 4, "admin": [4, 10], "perform": [4, 5, 7, 14], "queri": [4, 5, 14], "queryset": 4, "definit": 4, "leav": [4, 10], "word": [4, 5], "On": 4, "ascii": [4, 5], "regex": [4, 5], "activation_error": [4, 9, 13], "inform": [4, 5, 6, 9, 13, 14], "caus": [4, 10, 13], "failur": [4, 9], "gather": 5, "constraint": 5, "built": [5, 9, 11, 12, 13, 15], "situat": [5, 9, 10], "usercreationform": 5, "password1": 5, "password2": 5, "repeat": 5, "catch": [5, 10], "typo": 5, "appli": [5, 10, 13, 14], "reservednamevalid": [5, 10, 13, 14], "validate_confus": [5, 10, 13, 14], "html5emailvalid": [5, 13, 14], "validate_confusables_email": [5, 10, 13, 14], "html5": [5, 13, 14], "rule": [5, 9, 10, 14], "html": [5, 8, 13, 15], "restrict": [5, 13, 14], "rfc": [5, 13, 14], "purpos": [5, 10], "twofold": 5, "simplifi": 5, "grammar": [5, 13], "enorm": 5, "despit": 5, "rare": [5, 13, 14], "being": [5, 9], "legitim": [5, 10], "disallow": [5, 13, 14, 15], "interact": 5, "simpler": 5, "format": [5, 14], "reliabl": 5, "safeti": 5, "tell": 5, "remind": 5, "compat": [5, 7, 9, 13], "registrationformcaseinsensit": [5, 14], "enforc": [5, 14], "insensit": [5, 14], "caseinsensitiveuniqu": [5, 14], "unicod": [5, 13, 14], "normal": [5, 10], "nfkc": 5, "approach": [5, 10], "fold": 5, "iexact": 5, "lookup": 5, "qualiti": 5, "surpris": 5, "primarili": [5, 13], "english": [5, 10], "quit": 5, "registrationformtermsofservic": [5, 14], "tos": 5, "checkbox": 5, "agreement": 5, "registrationformuniqueemail": [5, 14], "extens": [6, 9], "function": [6, 12], "web": [6, 10, 14], "nearli": 6, "aspect": 6, "customiz": [6, 12], "box": 6, "phase": 6, "consist": [6, 8, 10], "initi": 6, "get": [6, 7, 12], "run": [6, 7, 9, 10], "quickli": [6, 7], "how": [6, 7, 9, 10, 11, 12, 13], "altern": [6, 8, 11], "util": [6, 10], "deprec": 6, "cycl": [6, 13], "secur": [6, 9, 11, 13], "upgrad": 6, "previou": 6, "version": [6, 7], "frequent": 6, "ask": 6, "question": 6, "python": [7, 10, 13], "prefer": [7, 9], "standard": [7, 10, 15], "come": [7, 12], "bundl": [7, 8, 9], "onc": [7, 9], "librari": [7, 10], "github": [7, 10, 13], "git": 7, "clone": 7, "command": 7, "revis": 7, "one_step": [8, 9, 13], "few": [8, 9], "fill": [8, 9, 15], "intermedi": 8, "upon": 8, "success": [8, 9, 13, 15], "redirect": [8, 13, 15], "home": 8, "get_success_url": [8, 13, 15], "success_url": [8, 15], "conf": [8, 11], "profil": [8, 10, 13], "get_form_class": [8, 15], "registration_form": [8, 15], "registration_clos": 8, "first": [9, 10, 13], "next": 9, "like": [9, 13], "flow": 9, "regardless": 9, "installed_app": 9, "proceed": 9, "recommend": [9, 13, 14], "manag": [9, 10], "tabl": 9, "paus": 9, "scope": [9, 10], "limit": [9, 10], "alon": [9, 10], "straightforward": 9, "coupl": 9, "connect": [9, 12], "period": 9, "remain": 9, "perman": 9, "unless": [9, 11, 12], "administr": [9, 10], "someth": 9, "week": 9, "visit": 9, "sampl": 9, "django_registration_complet": 9, "post": 9, "django_registration_activ": 9, "django_registration_activation_complet": 9, "django_registration_disallow": 9, "possibli": 9, "requestcontext": 9, "processor": 9, "show": 9, "consult": [9, 12], "disabl": [9, 13], "fail": [9, 13, 15], "descript": 9, "now": [9, 13, 14], "forcibli": 9, "condens": 9, "expiration_dai": 9, "integ": 9, "httprequest": [9, 12], "scheme": 9, "protocol": [9, 10, 14], "requestsit": 9, "regard": 9, "interfac": 9, "newli": [9, 15], "due": 9, "widespread": 9, "antipathi": 9, "toward": 9, "interoper": 9, "plain": 9, "easiest": 9, "rest": 9, "implic": 10, "potenti": [10, 13, 14], "exhaust": 10, "particular": [10, 13, 14], "explan": 10, "why": [10, 14], "certain": 10, "softwar": 10, "responsibli": 10, "ultim": 10, "continu": 10, "understood": 10, "help": 10, "protect": 10, "against": 10, "tag": 10, "write": [10, 12, 15], "thei": [10, 13, 15], "impedi": 10, "autom": [10, 14], "creation": 10, "malici": 10, "turn": [10, 13, 15], "invent": 10, "cryptographi": 10, "vet": 10, "manner": 10, "act": 10, "oracl": 10, "abil": [10, 12, 13], "usag": 10, "token": 10, "usabl": 10, "attack": 10, "confus": [10, 14], "inappropri": 10, "access": 10, "fall": 10, "categori": 10, "imperson": 10, "seen": 10, "relev": 10, "webmast": 10, "sensit": [10, 13], "subdomain": [10, 14], "ftp": 10, "autodiscov": 10, "appear": [10, 14], "bui": 10, "strongli": 10, "enabl": [10, 13, 14], "wide": [10, 13], "prevent": 10, "visual": [10, 14], "ident": [10, 14], "substitut": 10, "cyril": [10, 14], "similar": 10, "homograph": 10, "local": [10, 14], "domain": [10, 13, 14], "submit": [10, 13], "mix": [10, 14], "script": [10, 14], "multipl": 10, "latin": [10, 14], "reject": 10, "interfer": 10, "non": [10, 14], "posit": [10, 15], "independ": 10, "itself": [10, 13], "signific": [10, 13], "increas": 10, "commonpasswordvalid": 10, "twenti": 10, "thousand": 10, "comprehens": 10, "pwned": 10, "mid": 10, "2018": 10, "half": 10, "billion": 10, "breach": 10, "factor": 10, "hardwar": 10, "sm": 10, "choic": [11, 13], "necessarili": 11, "select": [11, 15], "int": 11, "long": 11, "bool": [11, 15], "temporarili": 11, "close": 11, "small": 12, "unnecessari": 12, "amount": 12, "lightweight": 12, "encourag": 12, "listen": 12, "whatev": 12, "dispatch": 12, "familiar": 12, "user_activ": 12, "sender": 12, "explicitli": [12, 13], "user_regist": [12, 15], "backward": 13, "improv": 13, "bugfix": 13, "5": 13, "reach": 13, "septemb": 13, "2020": 13, "longer": 13, "2021": 13, "fix": 13, "low": 13, "sensitive_post_paramet": 13, "decor": 13, "meant": 13, "staff": 13, "side": 13, "cve": 13, "21416": 13, "advisori": 13, "ghsa": 13, "58c7": 13, "px5v": 13, "82hh": 13, "thank": 13, "martin": 13, "morgenstern": 13, "previous": 13, "cryptic": 13, "complain": 13, "try": 13, "swap": 13, "clear": 13, "direct": 13, "problemat": [13, 14], "drop": 13, "eol": 13, "01": 13, "11": 13, "april": 13, "serializ": 13, "offici": 13, "silent": 13, "incompat": 13, "conform": 13, "recent": 13, "importerror": 13, "adapt": 13, "refer": [13, 15], "present": 13, "2007": 13, "storag": 13, "simpl": 13, "becam": 13, "unten": 13, "rewrit": 13, "detect": 13, "runtim": 13, "locat": 13, "simpli": 13, "inspect": 13, "exactli": 13, "caught": 13, "brought": 13, "affect": 13, "get_usernam": 13, "mimic": 13, "formmixin": 13, "zero": 13, "tupl": 13, "viewnam": 13, "arg": [13, 15], "kwarg": [13, 15], "revers": [13, 15], "around": 13, "level": 13, "doesn": 13, "reli": 13, "switch": 13, "self": 13, "lazi": [13, 15], "resolv": 13, "reverse_lazi": [13, 15], "registrationformnofreeemail": 13, "forbid": [13, 14], "throwawai": 13, "pointless": 13, "task": 13, "grow": 13, "folder": 13, "undergon": 13, "activation_email": 13, "activation_fail": [13, 15], "registration_regist": 13, "registrationprofil": 13, "delete_expired_us": 13, "delet": 13, "alia": 13, "major": 13, "technic": [13, 14], "benefit": 13, "outweigh": 13, "edg": 13, "forbidden": 13, "clarifi": 13, "accommod": 13, "had": 13, "successfulli": 13, "respect": 13, "reserv": 13, "significantli": 13, "otherwis": [13, 14], "danger": [13, 14], "adopt": 13, "rout": 13, "discard": 13, "scratch": 13, "eas": 14, "constant": 14, "translat": 14, "duplicate_email": 14, "duplicate_usernam": 14, "caseinsensitivevalid": 14, "reserved_nam": 14, "tos_requir": 14, "treat": 14, "per": [14, 15], "often": 14, "risk": 14, "conflict": 14, "give": 14, "callabl": 14, "prohibit": 14, "attach": 14, "__init__": 14, "default_reserved_nam": 14, "known": 14, "5785": 14, "validationerror": 14, "ca_address": 14, "commonli": 14, "certif": 14, "noreply_address": 14, "norepli": 14, "mailer": 14, "daemon": 14, "protocol_hostnam": 14, "hostnam": 14, "www": 14, "mail": 14, "other_sensitive_nam": 14, "blog": 14, "doc": 14, "rfc_2142": 14, "2142": 14, "sensitive_filenam": 14, "filenam": 14, "favicon": 14, "ico": 14, "robot": 14, "special_hostnam": 14, "special": 14, "autoconfig": 14, "client": 14, "discov": 14, "concaten": 14, "broad": 14, "worldwid": 14, "audienc": 14, "easili": 14, "p\u0430yp\u0430l": 14, "\u0430": 14, "indistinguish": 14, "font": 14, "properti": 14, "consid": 14, "isol": 14, "field_nam": 14, "db": 14, "latest": 14, "embed": 14, "comment": 14, "quot": 14, "inclus": 14, "illeg": 14, "mostli": 14, "complic": 14, "parser": 14, "utmost": 15, "flexibl": 15, "formview": 15, "infrastructur": 15, "disallowed_url": 15, "registration_disallow": 15, "basi": 15, "template_nam": 15, "templateview": 15}, "objects": {"django.conf": [[11, 0, 0, "-", "settings"]], "django.conf.settings": [[11, 1, 1, "", "ACCOUNT_ACTIVATION_DAYS"], [11, 1, 1, "", "REGISTRATION_OPEN"], [11, 1, 1, "", "REGISTRATION_SALT"]], "django_registration.backends": [[0, 0, 0, "-", "activation"], [8, 0, 0, "-", "one_step"]], "django_registration.backends.activation.views": [[0, 2, 1, "", "ActivationView"], [0, 2, 1, "", "RegistrationView"]], "django_registration.backends.activation.views.ActivationView": [[0, 3, 1, "", "get_user"], [0, 3, 1, "", "validate_key"]], "django_registration.backends.activation.views.RegistrationView": [[0, 3, 1, "", "create_inactive_user"], [0, 4, 1, "", "email_body_template"], [0, 4, 1, "", "email_subject_template"], [0, 3, 1, "", "get_activation_key"], [0, 3, 1, "", "get_email_context"], [0, 3, 1, "", "send_activation_email"]], "django_registration": [[3, 0, 0, "-", "exceptions"], [5, 0, 0, "-", "forms"], [12, 0, 0, "-", "signals"], [14, 0, 0, "-", "validators"], [15, 0, 0, "-", "views"]], "django_registration.exceptions": [[3, 5, 1, "", "ActivationError"], [3, 5, 1, "", "RegistrationError"]], "django_registration.forms": [[5, 2, 1, "", "RegistrationForm"], [5, 2, 1, "", "RegistrationFormCaseInsensitive"], [5, 2, 1, "", "RegistrationFormTermsOfService"], [5, 2, 1, "", "RegistrationFormUniqueEmail"]], "django_registration.signals": [[12, 1, 1, "", "user_activated"], [12, 1, 1, "", "user_registered"]], "django_registration.validators": [[14, 1, 1, "", "CA_ADDRESSES"], [14, 2, 1, "", "CaseInsensitiveUnique"], [14, 1, 1, "", "DEFAULT_RESERVED_NAMES"], [14, 1, 1, "", "DUPLICATE_EMAIL"], [14, 1, 1, "", "DUPLICATE_USERNAME"], [14, 2, 1, "", "HTML5EmailValidator"], [14, 1, 1, "", "NOREPLY_ADDRESSES"], [14, 1, 1, "", "OTHER_SENSITIVE_NAMES"], [14, 1, 1, "", "PROTOCOL_HOSTNAMES"], [14, 1, 1, "", "RESERVED_NAME"], [14, 1, 1, "", "RFC_2142"], [14, 2, 1, "", "ReservedNameValidator"], [14, 1, 1, "", "SENSITIVE_FILENAMES"], [14, 1, 1, "", "SPECIAL_HOSTNAMES"], [14, 1, 1, "", "TOS_REQUIRED"], [14, 6, 1, "", "validate_confusables"], [14, 6, 1, "", "validate_confusables_email"]], "django_registration.views": [[15, 2, 1, "", "ActivationView"], [15, 2, 1, "", "RegistrationView"]], "django_registration.views.ActivationView": [[15, 3, 1, "", "activate"], [15, 3, 1, "", "get_success_url"], [15, 4, 1, "", "success_url"], [15, 4, 1, "", "template_name"]], "django_registration.views.RegistrationView": [[15, 4, 1, "", "disallowed_url"], [15, 4, 1, "", "form_class"], [15, 3, 1, "", "get_form_class"], [15, 3, 1, "", "get_success_url"], [15, 3, 1, "", "register"], [15, 3, 1, "", "registration_allowed"], [15, 4, 1, "", "success_url"], [15, 4, 1, "", "template_name"]]}, "objtypes": {"0": "py:module", "1": "py:data", "2": "py:class", "3": "py:method", "4": "py:attribute", "5": "py:exception", "6": "py:function"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "data", "Python data"], "2": ["py", "class", "Python class"], "3": ["py", "method", "Python method"], "4": ["py", "attribute", "Python attribute"], "5": ["py", "exception", "Python exception"], "6": ["py", "function", "Python function"]}, "titleterms": {"The": [0, 1, 8], "two": [0, 1, 9, 10, 13], "step": [0, 1, 7, 8, 9, 10, 13], "activ": [0, 1, 4, 9, 10, 13], "workflow": [0, 1, 6, 8, 9, 10, 13], "behavior": 0, "configur": [0, 4, 6, 8, 9], "view": [0, 4, 15], "how": [0, 4], "work": [0, 4], "secur": [0, 4, 10], "consider": 0, "custom": [1, 4, 11, 13], "user": [1, 4, 10, 13], "model": [1, 4, 13], "compat": 1, "built": [1, 6], "one": [1, 4, 8, 9, 13], "write": [1, 4], "your": 1, "form": [1, 5, 13], "subclass": 1, "incompat": 1, "featur": 2, "api": 2, "deprec": 2, "cycl": 2, "except": 3, "class": [3, 5, 15], "frequent": 4, "ask": 4, "question": 4, "gener": 4, "thi": 4, "doesn": 4, "t": 4, "It": 4, "crash": 4, "soon": 4, "i": 4, "try": 4, "us": [4, 10, 12], "can": 4, "support": [4, 13], "social": 4, "media": 4, "other": [4, 6, 13, 14], "auth": [4, 13], "scheme": 4, "like": 4, "facebook": 4, "github": 4, "what": 4, "licens": 4, "django": [4, 6, 12, 13], "registr": [4, 6, 12, 13], "under": 4, "version": [4, 13], "python": 4, "ar": 4, "found": 4, "bug": 4, "want": 4, "make": 4, "an": 4, "improv": 4, "do": 4, "run": 4, "test": 4, "instal": [4, 6, 7], "setup": 4, "doe": 4, "come": 4, "ani": 4, "sampl": 4, "templat": [4, 8, 9, 13], "right": 4, "awai": 4, "need": 4, "rewrit": 4, "chang": [4, 13], "wai": 4, "thei": 4, "behav": 4, "don": 4, "my": 4, "own": 4, "urlconf": 4, "becaus": 4, "pattern": [4, 13], "all": 4, "name": [4, 10, 13], "you": 4, "ve": 4, "given": 4, "url": [4, 9, 13], "m": 4, "tip": 4, "trick": 4, "close": 4, "signup": 4, "log": 4, "immedi": 4, "after": 4, "manual": 4, "delet": 4, "expir": 4, "unactiv": 4, "account": [4, 10], "allow": 4, "unicod": [4, 10], "usernam": [4, 14], "tell": 4, "why": 4, "": 4, "fail": 4, "base": [5, 13, 15], "3": [6, 13], "For": 6, "develop": 6, "document": 6, "guid": [7, 9, 10], "normal": 7, "from": [7, 13], "sourc": 7, "checkout": 7, "next": 7, "quick": 9, "start": 9, "requir": 9, "set": [9, 11], "up": 9, "django_registr": 9, "registration_form": 9, "html": 9, "registration_complet": 9, "registration_clos": 9, "activation_fail": 9, "activation_complet": 9, "activation_email_subject": 9, "txt": 9, "activation_email_bodi": 9, "recommend": 10, "restrict": 10, "reserv": [10, 14], "email": [10, 13], "address": 10, "addit": 10, "signal": 12, "upgrad": 13, "previou": 13, "within": 13, "x": 13, "seri": 13, "2": 13, "1": 13, "0": 13, "between": 13, "modul": 13, "renam": 13, "remov": 13, "distinguish": 13, "failur": 13, "condit": 13, "success_url": 13, "free": 13, "cleanupregistr": 13, "manag": 13, "command": 13, "dure": 13, "releas": 13, "prior": 13, "valid": 14, "util": 14, "error": 14, "messag": 14, "reject": 14, "protect": 14, "against": 14, "homograph": 14, "attack": 14}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 60}, "alltitles": {"The two-step activation workflow": [[0, "the-two-step-activation-workflow"], [1, "the-two-step-activation-workflow"]], "Behavior and configuration": [[0, "behavior-and-configuration"]], "Views": [[0, "views"]], "How it works": [[0, "how-it-works"]], "Security considerations": [[0, "security-considerations"]], "Custom user models": [[1, "custom-user-models"]], "Compatibility of the built-in workflows with custom user models": [[1, "compatibility-of-the-built-in-workflows-with-custom-user-models"]], "The one-step workflow": [[1, "the-one-step-workflow"], [8, "the-one-step-workflow"]], "Writing your form subclass": [[1, "writing-your-form-subclass"]], "Incompatible user models": [[1, "incompatible-user-models"]], "Feature and API deprecation cycle": [[2, "feature-and-api-deprecation-cycle"]], "Exception classes": [[3, "exception-classes"]], "Frequently-asked questions": [[4, "frequently-asked-questions"]], "General": [[4, "general"]], "This doesn\u2019t work with custom user models! It crashes as soon as I try to use one!": [[4, "this-doesn-t-work-with-custom-user-models-it-crashes-as-soon-as-i-try-to-use-one"]], "How can I support social-media and other auth schemes, like Facebook or GitHub?": [[4, "how-can-i-support-social-media-and-other-auth-schemes-like-facebook-or-github"]], "What license is django-registration under?": [[4, "what-license-is-django-registration-under"]], "What versions of Django and Python are supported?": [[4, "what-versions-of-django-and-python-are-supported"]], "I found a bug or want to make an improvement!": [[4, "i-found-a-bug-or-want-to-make-an-improvement"]], "How secure is django-registration?": [[4, "how-secure-is-django-registration"]], "How do I run the tests?": [[4, "how-do-i-run-the-tests"]], "Installation and setup": [[4, "installation-and-setup"]], "How do I install django-registration?": [[4, "how-do-i-install-django-registration"]], "Does django-registration come with any sample templates I can use right away?": [[4, "does-django-registration-come-with-any-sample-templates-i-can-use-right-away"]], "Configuration": [[4, "configuration"], [8, "configuration"]], "Do I need to rewrite the views to change the way they behave?": [[4, "do-i-need-to-rewrite-the-views-to-change-the-way-they-behave"]], "I don\u2019t want to write my own URLconf because I don\u2019t want to write patterns for all the auth views!": [[4, "i-don-t-want-to-write-my-own-urlconf-because-i-don-t-want-to-write-patterns-for-all-the-auth-views"]], "I don\u2019t like the names you\u2019ve given to the URL patterns!": [[4, "i-don-t-like-the-names-you-ve-given-to-the-url-patterns"]], "I\u2019m using a custom user model; how do I make that work?": [[4, "i-m-using-a-custom-user-model-how-do-i-make-that-work"]], "Tips and tricks": [[4, "tips-and-tricks"]], "How do I close user signups?": [[4, "how-do-i-close-user-signups"]], "How do I log a user in immediately after registration or activation?": [[4, "how-do-i-log-a-user-in-immediately-after-registration-or-activation"]], "How do I manually activate a user?": [[4, "how-do-i-manually-activate-a-user"]], "How do I delete expired unactivated accounts?": [[4, "how-do-i-delete-expired-unactivated-accounts"]], "How do I allow Unicode in usernames?": [[4, "how-do-i-allow-unicode-in-usernames"]], "How do I tell why an account\u2019s activation failed?": [[4, "how-do-i-tell-why-an-account-s-activation-failed"]], "Base form classes": [[5, "base-form-classes"]], "django-registration 3.3": [[6, "django-registration-release"], [13, "django-registration-3-3"]], "Installation and configuration": [[6, null]], "Built-in registration workflows": [[6, null]], "For developers": [[6, null]], "Other documentation": [[6, null]], "Installation guide": [[7, "installation-guide"]], "Normal installation": [[7, "normal-installation"]], "Installing from a source checkout": [[7, "installing-from-a-source-checkout"]], "Next steps": [[7, "next-steps"]], "Templates": [[8, "templates"]], "Quick start guide": [[9, "quick-start-guide"]], "Configuring the two-step activation workflow": [[9, "configuring-the-two-step-activation-workflow"]], "Required settings": [[9, "required-settings"]], "Setting up URLs": [[9, "setting-up-urls"]], "Required templates": [[9, "required-templates"]], "django_registration/registration_form.html": [[9, "django-registration-registration-form-html"]], "django_registration/registration_complete.html": [[9, "django-registration-registration-complete-html"]], "django_registration/registration_closed.html": [[9, "django-registration-registration-closed-html"]], "django_registration/activation_failed.html": [[9, "django-registration-activation-failed-html"]], "django_registration/activation_complete.html": [[9, "django-registration-activation-complete-html"]], "django_registration/activation_email_subject.txt": [[9, "django-registration-activation-email-subject-txt"]], "django_registration/activation_email_body.txt": [[9, "django-registration-activation-email-body-txt"]], "Configuring the one-step workflow": [[9, "configuring-the-one-step-workflow"]], "Security guide": [[10, "security-guide"]], "Recommendation: use the two-step activation workflow": [[10, "recommendation-use-the-two-step-activation-workflow"]], "Restrictions on user names: reserved names": [[10, "restrictions-on-user-names-reserved-names"]], "Restrictions on user names and email addresses: Unicode": [[10, "restrictions-on-user-names-and-email-addresses-unicode"]], "Additional steps to secure user accounts": [[10, "additional-steps-to-secure-user-accounts"]], "Custom settings": [[11, "custom-settings"]], "Signals used by django-registration": [[12, "signals-used-by-django-registration"]], "Upgrading from previous versions": [[13, "upgrading-from-previous-versions"]], "Changes within the 3.x series": [[13, "changes-within-the-3-x-series"]], "django-registration 3.2": [[13, "django-registration-3-2"]], "django-registration 3.1.2": [[13, "django-registration-3-1-2"]], "Django-registration 3.1": [[13, "django-registration-3-1"]], "django-registration 3.0.1": [[13, "django-registration-3-0-1"]], "Changes between django-registration 2.x and 3.x": [[13, "changes-between-django-registration-2-x-and-3-x"]], "Module renaming": [[13, "module-renaming"]], "Removal of model-based workflow": [[13, "removal-of-model-based-workflow"]], "Renaming of two-step activation workflow": [[13, "renaming-of-two-step-activation-workflow"]], "Renaming of one-step workflow": [[13, "renaming-of-one-step-workflow"]], "Removal of auth URLs": [[13, "removal-of-auth-urls"]], "Distinguishing activation failure conditions": [[13, "distinguishing-activation-failure-conditions"]], "Changes to custom user support": [[13, "changes-to-custom-user-support"]], "Changes to success_url": [[13, "changes-to-success-url"]], "Removed \u201cno free email\u201d form": [[13, "removed-no-free-email-form"]], "Template names": [[13, "template-names"]], "Renaming of URL patterns": [[13, "renaming-of-url-patterns"]], "Removal of cleanupregistration management command": [[13, "removal-of-cleanupregistration-management-command"]], "Other changes": [[13, "other-changes"]], "Changes during the 2.x release series": [[13, "changes-during-the-2-x-release-series"]], "Versions prior to 2.0": [[13, "versions-prior-to-2-0"]], "Validation utilities": [[14, "validation-utilities"]], "Error messages": [[14, "error-messages"]], "Rejecting \u201creserved\u201d usernames": [[14, "rejecting-reserved-usernames"]], "Protecting against homograph attacks": [[14, "protecting-against-homograph-attacks"]], "Other validators": [[14, "other-validators"]], "Base view classes": [[15, "base-view-classes"]]}, "indexentries": {"activationview (class in django_registration.backends.activation.views)": [[0, "django_registration.backends.activation.views.ActivationView"]], "registrationview (class in django_registration.backends.activation.views)": [[0, "django_registration.backends.activation.views.RegistrationView"]], "create_inactive_user() (django_registration.backends.activation.views.registrationview method)": [[0, "django_registration.backends.activation.views.RegistrationView.create_inactive_user"]], "django_registration.backends.activation": [[0, "module-django_registration.backends.activation"]], "email_body_template (django_registration.backends.activation.views.registrationview attribute)": [[0, "django_registration.backends.activation.views.RegistrationView.email_body_template"]], "email_subject_template (django_registration.backends.activation.views.registrationview attribute)": [[0, "django_registration.backends.activation.views.RegistrationView.email_subject_template"]], "get_activation_key() (django_registration.backends.activation.views.registrationview method)": [[0, "django_registration.backends.activation.views.RegistrationView.get_activation_key"]], "get_email_context() (django_registration.backends.activation.views.registrationview method)": [[0, "django_registration.backends.activation.views.RegistrationView.get_email_context"]], "get_user() (django_registration.backends.activation.views.activationview method)": [[0, "django_registration.backends.activation.views.ActivationView.get_user"]], "module": [[0, "module-django_registration.backends.activation"], [3, "module-django_registration.exceptions"], [5, "module-django_registration.forms"], [8, "module-django_registration.backends.one_step"], [11, "module-django.conf.settings"], [12, "module-django_registration.signals"], [14, "module-django_registration.validators"], [15, "module-django_registration.views"]], "send_activation_email() (django_registration.backends.activation.views.registrationview method)": [[0, "django_registration.backends.activation.views.RegistrationView.send_activation_email"]], "validate_key() (django_registration.backends.activation.views.activationview method)": [[0, "django_registration.backends.activation.views.ActivationView.validate_key"]], "activationerror": [[3, "django_registration.exceptions.ActivationError"]], "registrationerror": [[3, "django_registration.exceptions.RegistrationError"]], "django_registration.exceptions": [[3, "module-django_registration.exceptions"]], "registrationform (class in django_registration.forms)": [[5, "django_registration.forms.RegistrationForm"]], "registrationformcaseinsensitive (class in django_registration.forms)": [[5, "django_registration.forms.RegistrationFormCaseInsensitive"]], "registrationformtermsofservice (class in django_registration.forms)": [[5, "django_registration.forms.RegistrationFormTermsOfService"]], "registrationformuniqueemail (class in django_registration.forms)": [[5, "django_registration.forms.RegistrationFormUniqueEmail"]], "django_registration.forms": [[5, "module-django_registration.forms"]], "django_registration.backends.one_step": [[8, "module-django_registration.backends.one_step"]], "account_activation_days (in module django.conf.settings)": [[11, "django.conf.settings.ACCOUNT_ACTIVATION_DAYS"]], "registration_open (in module django.conf.settings)": [[11, "django.conf.settings.REGISTRATION_OPEN"]], "registration_salt (in module django.conf.settings)": [[11, "django.conf.settings.REGISTRATION_SALT"]], "django.conf.settings": [[11, "module-django.conf.settings"]], "django_registration.signals": [[12, "module-django_registration.signals"]], "user_activated (in module django_registration.signals)": [[12, "django_registration.signals.user_activated"]], "user_registered (in module django_registration.signals)": [[12, "django_registration.signals.user_registered"]], "ca_addresses (in module django_registration.validators)": [[14, "django_registration.validators.CA_ADDRESSES"]], "caseinsensitiveunique (class in django_registration.validators)": [[14, "django_registration.validators.CaseInsensitiveUnique"]], "default_reserved_names (in module django_registration.validators)": [[14, "django_registration.validators.DEFAULT_RESERVED_NAMES"]], "duplicate_email (in module django_registration.validators)": [[14, "django_registration.validators.DUPLICATE_EMAIL"]], "duplicate_username (in module django_registration.validators)": [[14, "django_registration.validators.DUPLICATE_USERNAME"]], "html5emailvalidator (class in django_registration.validators)": [[14, "django_registration.validators.HTML5EmailValidator"]], "noreply_addresses (in module django_registration.validators)": [[14, "django_registration.validators.NOREPLY_ADDRESSES"]], "other_sensitive_names (in module django_registration.validators)": [[14, "django_registration.validators.OTHER_SENSITIVE_NAMES"]], "protocol_hostnames (in module django_registration.validators)": [[14, "django_registration.validators.PROTOCOL_HOSTNAMES"]], "reserved_name (in module django_registration.validators)": [[14, "django_registration.validators.RESERVED_NAME"]], "rfc_2142 (in module django_registration.validators)": [[14, "django_registration.validators.RFC_2142"]], "reservednamevalidator (class in django_registration.validators)": [[14, "django_registration.validators.ReservedNameValidator"]], "sensitive_filenames (in module django_registration.validators)": [[14, "django_registration.validators.SENSITIVE_FILENAMES"]], "special_hostnames (in module django_registration.validators)": [[14, "django_registration.validators.SPECIAL_HOSTNAMES"]], "tos_required (in module django_registration.validators)": [[14, "django_registration.validators.TOS_REQUIRED"]], "django_registration.validators": [[14, "module-django_registration.validators"]], "validate_confusables() (in module django_registration.validators)": [[14, "django_registration.validators.validate_confusables"]], "validate_confusables_email() (in module django_registration.validators)": [[14, "django_registration.validators.validate_confusables_email"]], "activationview (class in django_registration.views)": [[15, "django_registration.views.ActivationView"]], "registrationview (class in django_registration.views)": [[15, "django_registration.views.RegistrationView"]], "activate() (django_registration.views.activationview method)": [[15, "django_registration.views.ActivationView.activate"]], "disallowed_url (django_registration.views.registrationview attribute)": [[15, "django_registration.views.RegistrationView.disallowed_url"]], "django_registration.views": [[15, "module-django_registration.views"]], "form_class (django_registration.views.registrationview attribute)": [[15, "django_registration.views.RegistrationView.form_class"]], "get_form_class() (django_registration.views.registrationview method)": [[15, "django_registration.views.RegistrationView.get_form_class"]], "get_success_url() (django_registration.views.activationview method)": [[15, "django_registration.views.ActivationView.get_success_url"]], "get_success_url() (django_registration.views.registrationview method)": [[15, "django_registration.views.RegistrationView.get_success_url"]], "register() (django_registration.views.registrationview method)": [[15, "django_registration.views.RegistrationView.register"]], "registration_allowed() (django_registration.views.registrationview method)": [[15, "django_registration.views.RegistrationView.registration_allowed"]], "success_url (django_registration.views.activationview attribute)": [[15, "django_registration.views.ActivationView.success_url"]], "success_url (django_registration.views.registrationview attribute)": [[15, "django_registration.views.RegistrationView.success_url"]], "template_name (django_registration.views.activationview attribute)": [[15, "django_registration.views.ActivationView.template_name"]], "template_name (django_registration.views.registrationview attribute)": [[15, "django_registration.views.RegistrationView.template_name"]]}})